using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;

public abstract class TargetBase : MonoBehaviour
{
    [SerializeField] string[] tagsOfDamagingTargetEffects;
    public abstract void NotifyShot();
    public abstract void NotifyShot(float damage);
    public abstract void NotifySwing();
    public abstract void NotifySwing(float damage);
    public abstract void NotifyExplosion();
    public abstract void NotifyExplosion(float damage);

}
